/* Multiple versions of log1p.
   Copyright (C) 2023-2024 Free Software Foundation, Inc.
   This file is part of the GNU C Library.

   The GNU C Library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public
   License as published by the Free Software Foundation; either
   version 2.1 of the License, or (at your option) any later version.

   The GNU C Library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Lesser General Public License for more details.

   You should have received a copy of the GNU Lesser General Public
   License along with the GNU C Library; if not, see
   <https://www.gnu.org/licenses/>.  */

#include <libm-alias-double.h>

extern double __redirect_log1p (double);

#define SYMBOL_NAME log1p
#include "ifunc-fma.h"

libc_ifunc_redirected (__redirect_log1p, __log1p, IFUNC_SELECTOR ());

#define __log1p __log1p_sse2
#include <sysdeps/ieee754/dbl-64/s_log1p.c>
